<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly

}
function financraft_slider_shortcode($atts){
    extract(shortcode_atts(array(
        'count' => '3',
        'loop' => 'true',
        'nav' => 'false',
        'dots' => 'true',
        'autoplay' => 'false',
        'autoplayTimeout' => '4000',
        'height' => '750',
        'slide_id' => '',
    ), $atts));

    if($count == 1){
        $r = new WP_Query(array(
            'posts_per_page' => 1,
            'post_type' => 'slide',
            'p' => $slide_id
        ));
    }else{
        $r = new WP_Query(array(
            'posts_per_page' => $count,
            'post_type' => 'slide',
            'order' => 'ASC'
        ));
    }


    if($count == 1){
        $slider_markup = '';
    }else{
        $slider_markup = '
         <script>
			jQuery(window).load(function(){
				jQuery("#financraft-slide-'.esc_attr($slide_id).'").owlCarousel({
					items:1,
					autoplay:'.esc_attr($autoplay).',
					autoplayTimeout:'.esc_attr($autoplayTimeout).',
					nav:'.esc_attr($nav).',
					dots:'.esc_attr($dots).',
					loop:true,
					smartSpeed: 800,
				});

        jQuery("#financraft-slide-'.esc_attr($slide_id).'").on("translate.owl.carousel", function () {
            jQuery(".hero-text h1").removeClass("flipInX animated").hide();
            jQuery(".hero-text h4").removeClass("flipInX animated").hide();
            jQuery(".hero-text p").removeClass("flipInX animated").hide();
            jQuery(".slider-btn").removeClass("flipInX animated").hide();
        });
        jQuery("#financraft-slide-'.esc_attr($slide_id).'").on("translated.owl.carousel", function () {
            jQuery(".hero-text h1").addClass("flipInX animated").show();
            jQuery(".hero-text h4").addClass("flipInX animated").show();
            jQuery(".hero-text p").addClass("flipInX animated").show();
            jQuery(".slider-btn").addClass("flipInX animated").show();
        });
			});

		</script>';
    }



        $slider_markup .='
        <div class="financraft-slider-wrapper" id="financraft-slide-'.esc_attr($slide_id).'">';


        while($r->have_posts()): $r->the_post();
        $idd = get_the_ID();
        
        if(get_post_meta($idd, 'slider_option', true)){
            $slide_meta = get_post_meta($idd, 'slider_option', true);
        }else{
            $slide_meta = array();
        }

        if(array_key_exists('slider_btn', $slide_meta)){
            $slider_btn = $slide_meta['slider_btn'];
        }else{
            $slider_btn = esc_html__('Conatct Us', 'financraft-package');
        }
        if(array_key_exists('slider_btn_url', $slide_meta)){
            $slider_btn_url = $slide_meta['slider_btn_url'];
        }else{
            $slider_btn_url = '';
        }
        if(array_key_exists('enable_overlay', $slide_meta)){
            $enable_overlay = $slide_meta['enable_overlay'];
        }else{
            $enable_overlay = '';
        }
    
        if(array_key_exists('overlay_percentage', $slide_meta)){
            $overlay_percentage = $slide_meta['overlay_percentage'];
        }else{
            $overlay_percentage = '.6';
        }
    
        if(array_key_exists('overlay_color', $slide_meta)){
            $overlay_color = $slide_meta['overlay_color'];
        }else{
            $overlay_color = '#191920';
        }
    
        if(array_key_exists('top_title', $slide_meta)){
            $top_title = $slide_meta['top_title'];
        }else{
            $top_title = '';
        }
    
        $slider_allowed_html_in_slide = array(
			'a' => array(
				'href' => array() ,
				'class' => array() ,
				'target' => array() ,
			) ,
			'img' => array(
				'href' => array() ,
				'class' => array() ,
				'alt' => array() ,
			) ,
			'p' => array() ,
			'h1' => array(
				'class' => array() ,
				'strong' => array() ,
				'b' => array() ,
			) ,
			'h2' => array(
				'class' => array() ,
				'strong' => array() ,
				'b' => array() ,
			) ,
			'h3' => array(
				'class' => array() ,
				'strong' => array() ,
				'b' => array() ,
			) ,
			'h4' => array(
				'class' => array() ,
				'strong' => array() ,
				'b' => array() ,
			) ,
			'h5' => array(
				'class' => array() ,
				'strong' => array() ,
				'b' => array() ,
			) ,
			'h6' => array(
				'class' => array() ,
				'strong' => array() ,
				'b' => array() ,
			) ,
			'br' => array() ,
			'strong' => array() ,
			'i' => array() ,
		);
        $post_content = get_the_content();

        $slider_markup .='
        <div class="financraft-hero-item" style="background-image:url('.esc_url(get_the_post_thumbnail_url($idd, 'full')).'); height:'.esc_attr($height).'px">
        <div class="financraft-slider-overlay" style="opacity:'.esc_attr($overlay_percentage).'; background-color:'.esc_attr($overlay_color).'"></div>
        <div class="financraft-hero-item-table">
          <div class="financraft-hero-item-table-cell">
              <div class="container">
                  <div class="row">
                      <div class="col-lg-10 col-lg-offset-1">
                          <div class="hero-text text-center">
                              <h4>'.esc_html($top_title).'</h4>
                              <h1 class="white-color">'.esc_html(get_the_title($idd)).'</h1>
                              '.wp_kses(wpautop($post_content), $slider_allowed_html_in_slide).'';
    
                              if(!empty($slide_meta['buttons'])){
                                foreach($slide_meta['buttons'] as $btn){
                                    if ($btn['link_type'] == 1) {
                                        $btn_link = get_page_link($btn['link_page']);
                                    }
                                    else {
                                        $btn_link = $btn['link_external'];
                                    }

                                   $slider_markup .='
                                   <a class="financraft-btn slider-btn '.esc_attr($btn['type']).'" href="'.esc_url($btn_link).'">'.esc_html($btn['text']).'</a>';  
                                }

                            }                            
                                  
                          $slider_markup .='        
                          </div>
                      </div>
                  </div>
              </div>
          </div>
        </div>
        </div>
        ';

        endwhile;

    $slider_markup .='
        </div>
    ';
    wp_reset_query();

    return $slider_markup;
}
add_shortcode('slider_shortcode', 'financraft_slider_shortcode');
