<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
	
}

	function financraft_team_shortcode( $atts , $content = null ){

		extract( shortcode_atts( array(
			'img_id'			=> '',
			'team_name'		=> '',
			'designation'		=> '',
			'social_icons'		=> '',
			'icon'				=> '',
			'url'				=> ''
		) , $atts ) );


		$image_src  = wp_get_attachment_image_src($img_id,'full'); 

		$financraft_team_markup = '
            <div class="team-item">
                <div class="team-image" style="background-image:url('.esc_url($image_src[0]).')">
                    </div>
                    <div class="team-overlay">
                        <div class="team-info">
                            <h3>'.esc_html($team_name).'</h3>
                            <span>'.esc_html($designation).'</span>
                        </div>';
                        if(!empty($social_icons)){                        
                            $financraft_team_markup .='                    
                                <div class="team-social-info">';
                                    $values = vc_param_group_parse_atts($social_icons);
                                    foreach($values as $value){                                    
                                        $financraft_team_markup .='
                                        <a href="'.esc_url($value['url']).'"><i class="'.esc_attr($value['icon']).'" ></i></a>';
                                    }

                            $financraft_team_markup .='
                                </div>
                            ';
                        }

                    $financraft_team_markup .='
                </div>                
            </div>
        ';

		return $financraft_team_markup;
	}

	add_shortcode('team_shortcode','financraft_team_shortcode');