<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly

}

function financraft_text_box_shortcode( $atts ){
    extract(shortcode_atts(array(
        'title' => '',
        'desc' => '',
        'upload_icon' => '',
        'text_box_style' => 1,
        'box_number' => '',
    ), $atts));
    $text_box_desc_allowed_tags = array(
		'a' => array(
			'href' => array() ,
			'class' => array() ,
			'target' => array() ,
		) ,
		'p' => array() ,
		'br' => array() ,
		'strong' => array() ,
		'em' => array() ,
	);
    $text_box_img = wp_get_attachment_image_src($upload_icon, 'thumbnail');
    
    if($text_box_style == 1){        
        $financraft_text_box ='
            <div class="text-box text-box-one">
                <img src="'.esc_url($text_box_img[0]).'">
                <h4 class="capitalize">'.esc_html($title).'</h4>
                '.wp_kses(wpautop($desc), $text_box_desc_allowed_tags).'
            </div>
        ';
    }elseif($text_box_style == 2){        
        $financraft_text_box ='
            <div class="text-box text-box-two">
                <img src="'.esc_url($text_box_img[0]).'">
                <h4 class="capitalize">'.esc_html($title).'</h4>
                '.wp_kses(wpautop($desc), $text_box_desc_allowed_tags).'
            </div>
        ';
    }else{
        $financraft_text_box ='
            <div class="text-box text-box-three">
                <h1>'.esc_html($box_number).'</h1>
                <h4 class="uppercase">'.esc_html($title).'</h4>
                '.wp_kses(wpautop($desc), $text_box_desc_allowed_tags).'
            </div>
        ';
    }
    return $financraft_text_box;

}
add_shortcode('text_box', 'financraft_text_box_shortcode');
