<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

// Class started
class financraftVCExtendedAddonClass {

	function __construct(){

	// We safely integrate with VC with this Hook
	add_action( 'init', array( $this, 'financraftIntegrateWithVC' ) );

	}

	public function financraftIntegrateWithVC(){

		// Check if Visual composer is not installed
		if( ! defined ( 'WPB_VC_VERSION' ) ) {
			add_action( 'admin_notices', array( $this, 'financraftShowVcVersionNotice' ));
			return;
		}

		// Visual composer addons
 	    include FINANCRAFT_ACC_PATH . '/vc-addons/vc-slider.php';
        include FINANCRAFT_ACC_PATH . '/vc-addons/vc-service-box.php';
        include FINANCRAFT_ACC_PATH . '/vc-addons/vc-text-box.php';
        include FINANCRAFT_ACC_PATH . '/vc-addons/vc-brand-logo.php';
        include FINANCRAFT_ACC_PATH . '/vc-addons/vc-blog-grid.php';
        include FINANCRAFT_ACC_PATH . '/vc-addons/vc-testimonial.php';
        include FINANCRAFT_ACC_PATH . '/vc-addons/vc-service.php';
        include FINANCRAFT_ACC_PATH . '/vc-addons/vc-counter.php';
        include FINANCRAFT_ACC_PATH . '/vc-addons/vc-casestudys.php';
        include FINANCRAFT_ACC_PATH . '/vc-addons/vc-team.php';
        include FINANCRAFT_ACC_PATH . '/vc-addons/vc-btn.php';

		// Load financraft Default Templates
		//include FINANCRAFT_ACC_PATH . '/vc-addons/vc-templates.php';


	}

	// Show Visual composer version

	public function financraftShowVcVersionNotice(){

		$theme_data = wp_get_theme();

		echo '

			<div class = "notice notice-warning">
				<p>'.sprintf(__('<strong>%s</strong> recommends <strong> <a href="'.site_url().'/wp-admin/themes.php?page=tgmpa-install-plugins" target="_blank">Visual Composer</a></strong> plugin to be installed and activated in Your site.', 'financraft-package'), $theme_data->get('Name')).'</p>
			</div>
		';

	}

}

	// finally initialize code

	new financraftVCExtendedAddonClass();
