<?php

if( !defined( "ABSPATH" ) ) {
    exit; // Exit if accessed directly
}

vc_map( array(
    "name" => esc_html__( "Theme Button", "financraft-package" ),
    "base" => "btn_shortcode",	
	"icon" => FINANCRAFT_ACC_URL . '/assets/img/button.png',
    "category" => esc_html__( "Financraft", "financraft-package" ),
    "params" => array(    
        array(
            "type" => "dropdown",
            "heading" => esc_html__( "Button Style Select", "financraft-package" ),
            "param_name" => "style",
            "std" => esc_html__("1", "financraft-package") ,
            "value" => array(
				esc_html__("Default", "financraft-package") => "1",
				esc_html__("Style Two", "financraft-package") => "2",
				esc_html__("Style Three", "financraft-package") => "3",
				esc_html__("Style Four", "financraft-package") => "4",
				esc_html__("Style Five", "financraft-package") => "5",
			) ,
         ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__( "Alignment", "financraft-package" ),
            "param_name" => "alignment",
            "std" => esc_html__("1", "financraft-package") ,
            "value" => array(
				esc_html__("Left", "financraft-package") => "1",
				esc_html__("Right", "financraft-package") => "2",
				esc_html__("Center", "financraft-package") => "3",
			) ,
         ),  
        array(
            "type" => "textfield",
            "heading" => esc_html__( "Button text", "financraft-package" ),
            "param_name" => "btn_text",
            "description" => esc_html__( "Type Button text here" ),
         ),  
        array(
			"type" => "dropdown",
			"heading" => esc_html__("Link Type", "financraft-package") ,
			"param_name" => "link_type",
			"std" => esc_html__("1", "financraft-package") ,
			"value" => array(
				esc_html__("Link To Page", "financraft-package") => "1",
				esc_html__("External Link", "financraft-package") => "2",
			) ,
			"description" => esc_html__("Select Link Type", "financraft-package") ,
		) ,
        array(
			"type" => "dropdown",
			"heading" => esc_html__("Link To Page", "financraft-package") ,
			"param_name" => "link_to_page",
			"std" => esc_html__("1", "financraft-package") ,
			"value" => financraft_get_page_list() ,
			"description" => esc_html__("Select Page", "financraft-package") ,
			"dependency" => array(
				"element" => "link_type",
				"value" => array(
					"1"
				) ,
			) ,
		) ,

		array(
			"type" => "textfield",
			"heading" => esc_html__("External Link", "financraft-package") ,
			"param_name" => "external_link",
			"description" => esc_html__("Type URL", "financraft-package") ,
			"dependency" => array(
				"element" => "link_type",
				"value" => array(
					"2"
				) ,
			) ,
		) ,
    
    )
));  