<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly

}

vc_map(array(
	"name" => esc_html__("Text Box Addon", "financraft-package") ,
	"base" => "text_box",
	"icon" => FINANCRAFT_ACC_URL . '/assets/img/icon-box.png',
	"category" => esc_html__("Financraft", "financraft-package") ,
	"params" => array(
		array(
            "type" => "dropdown",
            "heading" => esc_html__( "Text Box Style", "financraft-package" ),
            "param_name" => "text_box_style",
            "std" => esc_html__("1", "financraft-package") ,
            "value" => array(
				esc_html__("Style One", "financraft-package") => "1",
				esc_html__("Style Two", "financraft-package") => "2",
				esc_html__("Style Three", "financraft-package") => "3",
			) ,
         ),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Text Box Number", "financraft-package") ,
			"param_name" => "box_number",
			"description" => esc_html__("Type Text Box Number.", "financraft-package"),
            "dependency" => array(
                "element" => "text_box_style",
                "value" => array("3")
            )
		) ,
		array(
			"type" => "textfield",
			"heading" => esc_html__("Text Box Title", "financraft-package") ,
			"param_name" => "title",
			"description" => esc_html__("Type Text Box Title.", "financraft-package")
		) ,
		array(
			"type" => "textarea",
			"heading" => esc_html__("Text Box Info Description", "financraft-package") ,
			"param_name" => "desc",
			"description" => esc_html__("Type Text Box Description.", "financraft-package") ,
		) ,
		array(
			"type" => "attach_image",
			"heading" => esc_html__("Upload Text Box Image Icon", "financraft-package") ,
			"param_name" => "upload_icon",
            "dependency" => array(
                "element" => "text_box_style",
                "value" => array("1", "2")
            )
		) ,

	)
));
