<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package financraft
 */
if(function_exists('cs_get_option')): 
    $footer_social = cs_get_option('footer_social');   
endif;
?>


	<footer id="colophon" class="site-footer">
	    <?php if(is_active_sidebar('footer-widget')):?>
		<div class="footer-top">
		    <div class="container">
		        <div class="row">
		            <?php dynamic_sidebar('footer-widget')?>
		        </div>
		    </div>
		</div>
		<?php endif;?>
		<div class="footer-copyright">
		    <div class="container">
		        <div class="row">
		            <div class="col-md-6">
		                <?php 
                            if(!empty($footer_copyright_text)){
                                echo wp_kses(wpautop($footer_copyright_text), $footer_copyright_text_allowed_tags);
                            }else{
                                echo esc_html_e('© 2018 XeroTheme, All Rights Reserved', 'financraft');
                            }
                        ?>   
		            </div>
		            <div class="col-md-6">
                        <?php if(!empty($footer_social)):?>
		                <div class="footer-social-info">
                            <?php foreach($footer_social as $icon):?>
		                        <a href="<?php echo esc_url($icon['url']);?>"><i class="<?php echo esc_attr($icon['icon']);?>"></i></a>
		                    <?php endforeach;?>
		                </div>
		                <?php endif;?>
		            </div>
		        </div>
		    </div>
		</div>
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
