<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package financraft
 */
if(get_post_meta($post->ID, 'financraft_page_meta', true)){
    $page_meta = get_post_meta($post->ID, 'financraft_page_meta', true);
}else{
    $page_meta = array();
}

if(array_key_exists('enable_title', $page_meta)){
    $enable_title = $page_meta['enable_title'];
}else{
    $enable_title = true;
}
if(array_key_exists('custom_title', $page_meta)){
    $custom_title = $page_meta['custom_title'];
}else{
    $custom_title = '';
}
if(array_key_exists('custom_text', $page_meta)){
    $custom_text = $page_meta['custom_text'];
}else{
    $custom_text = '';
}
if(array_key_exists('title_bg', $page_meta)){
    $title_bg = $page_meta['title_bg'];
}else{
    $title_bg = '';
}
$vc_enabled = get_post_meta($post->ID, '_wpb_vc_js_status', true);
if($vc_enabled != 'true') {
    $vc_check_class = 'financraft-v-composer-disabled';
} else {
    $vc_check_class = '';
}
get_header();
?>   <?php if($enable_title == true):?>
    <div class="financraft-breadcrumb-area pd-120px" <?php if(!empty($title_bg)):?> style="background-image:url(<?php echo esc_url($title_bg);?>)" <?php endif;?>>
        <div class="container">
            <div class="row">
                <div class="col-lg-10 col-lg-offset-1">
                    <div class="breadcrumb-text">
                        <h1><?php if(!empty($custom_title)){echo esc_html($custom_title);}else{the_title();}?></h1>
                        <div class="custom-text">
                            <?php echo esc_html($custom_text);?>
                        </div> 
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif;?>
    <div class="financraft-internal-area <?php echo esc_attr($vc_check_class);?>">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-xl-12">
                    <?php
                    while ( have_posts() ) :
                        the_post();

                        get_template_part( 'template-parts/content', 'page' );

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;

                    endwhile; // End of the loop.
                    ?>
                </div>
            </div>
        </div>
    </div>
<?php
get_footer();
